Subject: Re: [PATCH net-next v5 2/7] net: phylink: add rxc_always_on flag to phylink_pcs

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 4 Mar 2024 14:33:02 +0000

On Fri, Mar 01, 2024 at 04:34:59PM +0100, Romain Gantois wrote:
> Some MAC drivers (e.g. stmmac) require a continuous receive clock signal to
> be generated by a PCS that is handled by a standalone PCS driver.
> 
> Such a PCS driver does not have access to a PHY device, thus cannot check
> the PHY_F_RXC_ALWAYS_ON flag. They cannot check max_requires_rxc in the
> phylink config either, since it is a private member. Therefore, a new flag
> is needed to signal to the PCS that it should keep the RX clock signal up
> at all times.
> 
> Suggested-by: Russell King <[email-masked]>

Given that this contains some of my code, this is slightly more than
"suggested by", it's probably more accurately co-developed-by.

All the same comments apply to this attributation as the sign-off in
patch 1.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!